unit UDiagramm;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, TAGraph,
  TASeries, UEELSBoson;

type

  { TDiagrammForm }

  TDiagrammForm = class(TForm)
    ClearButton: TButton;
    SpectrumChart: TChart;
    CloseButton: TButton;
    SpectrumChartLineSeries: TLineSeries;
    procedure ClearButtonClick(Sender: TObject);
    procedure CloseButtonClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private

  public

  end;

var
  DiagrammForm: TDiagrammForm;

implementation

{$R *.lfm}

{ TDiagrammForm }

procedure TDiagrammForm.CloseButtonClick(Sender: TObject);
begin
  DiagrammForm.Visible := false;
end;

procedure TDiagrammForm.ClearButtonClick(Sender: TObject);
begin
  SpectrumChartLineSeries.Clear;
end;

procedure TDiagrammForm.FormShow(Sender: TObject);
  var
  i: Integer;
begin
  for i:=0 to nout - 1 do
    SpectrumChartLineSeries.AddXY(xout[i], yout[i]);
end;

end.

