      DOUBLE PRECISION FUNCTION FUN(PHI)                                
C    ****************************************************************** 
C    *                                                                * 
C    * INTEGRAND OF THE EXPRESSION OF THE 1ST ORDER TERM IN THE       * 
C    * EXPANSION OF THE EELS INTEGRAL FOR A HOMOGENEOUS TARGET.       * 
C    *                                                                * 
C    ****************************************************************** 
      LOGICAL USER,RATION                                               
      DOUBLE PRECISION ACOEF,BCOEF,CCOEF,COSPSI,DLIMF,ELLEPS,PHI,RU,    
     ,SINPHI,SINPSI,TANPSI,UM,WN                                        
      COMMON/PARAM/ACOEF,BCOEF,CCOEF,ELLEPS,COSPSI,SINPSI,TANPSI,       
     ,             RU,UM,DLIMF,WN,USER,RATION                           
      SINPHI = SIN(PHI)                                                 
      FUN = SQRT((1.0D0-ELLEPS+ELLEPS*SINPHI**2)*(1.0D0-SINPSI*SINPHI)* 
     *          (1.0D0+SINPSI*SINPHI))                                  
      RETURN                                                            
      END                                                               
